%global rbname newt
Summary: The extension library to use newt from Ruby.
Name: ruby-%{rbname}

%global momorel 12

Version: 0.3.4
Release: %{momorel}m
Group: Development/Languages
License: GPL
URL: http://www.momonga-linux.org/

Source0: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: newt-devel >= 0.52.2, gnewt-devel
BuildRequires: ruby-devel >= 1.8.2

%description
The extension library to use newt from Ruby.

%package -n ruby-gnewt
Summary: The extension library to use gnewt from Ruby.
Group: Development/Languages

%description -n ruby-gnewt
The extension library to use gnewt from Ruby.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q

%build
ruby extconf.rb
make

cp newt.c gnewt.c
ruby -p -i -e "sub(/Init_newt/, 'Init_gnewt')" gnewt.c
cp Makefile Makefile.g
ruby -p -i -e "sub(/newt/, 'gnewt')" Makefile.g
make -f Makefile.g

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install sitedir=%{buildroot}/usr/lib/ruby
make -f Makefile.g install sitedir=%{buildroot}/usr/lib/ruby

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING sample/*.rb
%{ruby_archdir}/newt.so

%files -n ruby-gnewt
%defattr(-, root, root)
%{ruby_archdir}/gnewt.so

%ChangeLog
* Thu May 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.4-12m)
- rebuild against newt-0.52.2

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.3.4-11m)
- /usr/lib/ruby

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.4-10m)
- rebuild against ruby-1.8.2

* Wed Apr  7 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.4-9m)
- add defattr to ruby-gnewt.

* Fri Mar  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.4-8m)
- rebuild against newt-0.51.6-1m

* Fri Dec 19 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.4-7m)
- rebuild against newt

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3.4-6m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3.4-5m)
- rebuild against ruby-1.8.0.

* Wed May 01 2002 Toru Hoshina <t@kondara.org>
- (0.3.4-2k)
- separate ruby-gnewt.

* Wed Apr 24 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.4-2k)
  some method was fixed and changed few APIs.
  see sample/*.rb

* Mon Apr 22 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.3.3-2k)
  module function setHelpCallback, setSuspendCallback and sigtstp supported.
  see sample/test.rb

- (0.3.2-2k)
  module function winMenu and winEntries supported.
  see sample/testgrid.rb

* Sun Apr 21 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.3.1-2k)
  module function setColors and getDefaultColors supported.

* Sat Apr 20 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.3-2k)
  module function componentAddCallback supported.

* Fri Apr 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.2-2k)
  bug fix
  added sample

* Thu Apr 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.1-4k)
  Support gnewt.
- (0.1-2k)
  first release.
